extends Node2D


export(AudioStream) var music_level
export(AudioStream) var voice_ready
export(AudioStream) var voice_go
export(AudioStream) var voice_you_lose
export(AudioStream) var voice_you_win
export(AudioStream) var effect_enemy_explosion
export(AudioStream) var effect_bullet_impact

var current_music = "none"


# Ready ========================================================================
func _ready():
	pass


# Process ======================================================================
func _process(delta):
	pass


# Actions ======================================================================

# Play voice -------------------------------------------------------------------
func play_voice(line):
	match line:
		"ready":
			$Voice.stream = voice_ready
		"go":
			$Voice.stream = voice_go
		"you_lose":
			$Voice.stream = voice_you_lose
		"you_win":
			$Voice.stream = voice_you_win
	$Voice.play()


# Play jingle ------------------------------------------------------------------
func play_jingle():
	pass


# Play music -------------------------------------------------------------------
func play_music(music):
	if music != current_music:
		current_music = music
		match music:
			"level":
				$Music.stream = music_level
		$Music.play(0)


# Play effect ------------------------------------------------------------------
func play_effect(effect):
	match effect:
		"bullet_impact":
			$Effect.stream = effect_bullet_impact
	$Effect.play()