extends Node2D


var inverted = false
var state = TutorialState.MOVE


# Ready ========================================================================
func _ready():
	change(state)


# Process ======================================================================
func _process(delta):
	pass


# Actions ======================================================================

# Enter ------------------------------------------------------------------------

# Leave ------------------------------------------------------------------------

# Change -----------------------------------------------------------------------
func change(tutorial_state):
	match tutorial_state:
		TutorialState.MOVE:
			$TutorialInstructions.frame = 0 if inverted else 4
		TutorialState.SHOOT:
			$TutorialInstructions.frame = 1 if inverted else 5
		TutorialState.DASH:
			$TutorialInstructions.frame = 2 if inverted else 6
		TutorialState.INVERT:
			$TutorialInstructions.frame = 3 if inverted else 7


# Invert -----------------------------------------------------------------------
func invert(is_inverted):
	inverted = is_inverted
	change(state)
